import { EventBus, State } from '../types';
export declare class Query {
    tuples: [string, string][];
    constructor(tuples: [string, string][]);
    prependParams(...params: [string, string][]): Query;
    toQueryString(): string;
}
export declare class StateWrapper {
    data: State;
    eventBus: EventBus;
    constructor(state: State, eventBus: EventBus);
    private static safeFiddle;
    combineWith(newInfo: State): StateWrapper;
    sendsPixel(): boolean;
    asTuples(): [string, string][];
    asQuery(): Query;
}
